package com.skywang.app;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.app.Activity;
import android.app.Fragment;
import android.app.FragmentManager;
import android.app.FragmentTransaction;

public class FragmentTransactionTest extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.fragment_transaction_test);
		
		// 获取FragmentManager
		FragmentManager fragmentManager = getFragmentManager();
		// 获取FragmentTransaction		
		FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
		
		// 获取ExampleFragment
		ExampleFragment fragment = new ExampleFragment();
		// 将fragment添加到容器about_fragment_container中
		fragmentTransaction.add(R.id.about_fragment_container, fragment);
		fragmentTransaction.commit();
	}
	
	// 继承与Fragment
	public static class ExampleFragment extends Fragment {
	    @Override
	    public View onCreateView(LayoutInflater inflater, ViewGroup container,
	                             Bundle savedInstanceState) {
	    	
	        return inflater.inflate(R.layout.example_fragment, container, false);
	    }
	}
}
